package com.cirs.biz.mapper;

import java.util.List;
import com.cirs.biz.domain.TMarkingrecord;

/**
 * 打分记录Mapper接口
 * 
 * @author allen
 * @date 2023-12-18
 */
public interface TMarkingrecordMapper 
{
    /**
     * 查询打分记录
     * 
     * @param id 打分记录主键
     * @return 打分记录
     */
    public TMarkingrecord selectTMarkingrecordById(Long id);

    /**
     * 查询打分记录列表
     * 
     * @param tMarkingrecord 打分记录
     * @return 打分记录集合
     */
    public List<TMarkingrecord> selectTMarkingrecordList(TMarkingrecord tMarkingrecord);

    /**
     * 新增打分记录
     * 
     * @param tMarkingrecord 打分记录
     * @return 结果
     */
    public int insertTMarkingrecord(TMarkingrecord tMarkingrecord);

    /**
     * 修改打分记录
     * 
     * @param tMarkingrecord 打分记录
     * @return 结果
     */
    public int updateTMarkingrecord(TMarkingrecord tMarkingrecord);

    /**
     * 删除打分记录
     * 
     * @param id 打分记录主键
     * @return 结果
     */
    public int deleteTMarkingrecordById(Long id);

    /**
     * 批量删除打分记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTMarkingrecordByIds(Long[] ids);
}
